package com.chinaitop.depot.intelligent.grainNumberMonitor.mapper;

import com.chinaitop.depot.intelligent.grainNumberMonitor.model.TNumberWarningHistory;
import com.chinaitop.depot.intelligent.grainNumberMonitor.model.TNumberWarningHistoryExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TNumberWarningHistoryMapper {
    int countByExample(TNumberWarningHistoryExample example);

    int deleteByExample(TNumberWarningHistoryExample example);

    int deleteByPrimaryKey(String id);

    int insert(TNumberWarningHistory record);

    int insertSelective(TNumberWarningHistory record);

    List<TNumberWarningHistory> selectByExample(TNumberWarningHistoryExample example);

    TNumberWarningHistory selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TNumberWarningHistory record, @Param("example") TNumberWarningHistoryExample example);

    int updateByExample(@Param("record") TNumberWarningHistory record, @Param("example") TNumberWarningHistoryExample example);

    int updateByPrimaryKeySelective(TNumberWarningHistory record);

    int updateByPrimaryKey(TNumberWarningHistory record);
}